# Flashloans

If you HODL an unmigrated token on KaiaFun, liquidity is locked in our contracts until you dump on the curve. You've got it -- IDLE locked value discovered. Developers and research firms can leverage memecoin-made liquidity to access flash loans with competitive rates and powerful capital.

## `IFlashLoanProvider`

```solidity
interface IFlashLoanProvider {
 function flashLoan(
    address receiverAddress,
    address[] calldata assets,
    uint256[] calldata amounts,
    bytes calldata params
  ) external;
}
```

## `IFlashLoanReceiver`

```solidity
interface IFlashLoanReceiver {
    function executeOperation(
        address[] calldata assets,
        uint256[] calldata amounts,
        uint256[] calldata fees,
        bytes calldata params
    ) external returns (bool);
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiafun.io/kaiafun/flashloans.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
